#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int lin = 0;
    int lout = 0;
    int l;
    scanf("%I64d", &lin);
    while(lin != 0){
        l = lin % 10;
        while(l != 0){
            if(l >= 5){
                l -= 5;
                lout++;
            }
            if(l >= 2){
                l -= 2;
                lout++;
            }
            if(l == 1){
                l -= 1;
                lout++;
            }
            if(l == 0){
                lin /= 10;
            }
        }
    }
    printf("%d",lout);
    return 0;
}